!Description:
!  ñ̤δץ
!    K(ӥ)  <-->  C (ݻ)
!    Pa(ѥ) <-->  mmHg()
!
! Current Code Owner: sugiyama@gfd-dennou.org
!
! History: 
!   Version    Date          Comment
!   -------    ----------    -------
!   1.0        2003-01-19    
!   1.1        2003-01-23    ҵ򸶻ֹѴ褦
!
! Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_convertunits
  interface

     subroutine convertunits(units, value)
       real(8), intent(inout)   :: value
       character(5), intent(in) :: units
     end subroutine convertunits

  end interface
end module interface_convertunits



subroutine convertunits(units, value)
  implicit none
  
  real(8), intent(inout)   :: value
  character(5), intent(in) :: units
  

!!!
!!! K(ӥ)  <-->  C (ݻ)
!!!
  if (units == "C") then 
     value = value + 273.15d0
  end if


!!!
!!! Pa(ѥ)  <-->  mmHg ()
!!!  1 [atm] = 760 [mmHg] = 101325 [Pa]
!!!
  if (units == "mmHg") then 
     value = value * (101325.0d0/760.0d0) 
  end if


!!!
!!! units  K, Pa ʤв⤷ʤǽλ
!!!

end subroutine convertunits
